





#include "xcleafbrushnodeleaf.h"

XCLeafBrushNodeLeaf::XCLeafBrushNodeLeaf()
    : XAsset() {
}

void XCLeafBrushNodeLeaf::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        // We would parse brushes here, but we're using a placeholder
    }
}

void* XCLeafBrushNodeLeaf::GetBrushes() const {
    return mBrushes;
}

void XCLeafBrushNodeLeaf::SetBrushes(void* brushes) {
    mBrushes = brushes;
}



